hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephen Jiang <syuanjiang...@gmail.com>
Subject protobuf 2.5 and 3.1
Date Fri, 09 Dec 2016 08:00:05 GMT
master branch is in protobuf version 3.1; branch-1.1 is in protobuf version
2.5

I upgraded to version 3.1 in my machine so that I can work on master
branch; now I need to run the protobuf to generate file in branch-1.1 and
get the error:

*[ERROR] Failed to execute goal
org.apache.hadoop:hadoop-maven-plugins:2.5.1:protoc (compile-protoc) on
project hbase-protocol: org.apache.maven.plugin.MojoExecutionException:
protoc version is 'libprotoc 3.1.0', expected version is '2.5.0' -> [Help
1]*

Is there a easy way to have 2 protobuf version side-by-side and specify in
mvn command?

Thanks
Stephen

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message